open Lacaml.D

type guess = 
| Hcore of Mat.t

type t = guess


let make ?guess:(guess=`Hcore) simulation = 
  let eN_ints  = Lazy.force simulation.Simulation.eN_ints
  and kin_ints = Lazy.force simulation.Simulation.kin_ints
  in
  match guess with
  | `Hcore -> Hcore (Mat.add eN_ints kin_ints)



