(** This type should be used for all charges in the program (electrons, nuclei,...). *)

type t = private float

val to_float : t -> float
val of_float : float -> t

val to_int   : t -> int
val of_int   : int -> t

val to_string: t -> string 
val of_string: string -> t

val ( + ) : t -> t -> t
val ( - ) : t -> t -> t
val ( * ) : t -> float -> t
val ( / ) : t -> float -> t 

